/*  osdchatd - on-screen display messaging daemon
 *  Copyright (c) 2003 by Mike Smelov  <mike-at-argoncorp-dot-com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  See LICENSE for details.
 *
 */

 /* cosdchat.h */

#ifndef __COSDCHAT_H__
#define __COSDCHAT_H__

#include <ctype.h>
#include <errno.h>
#include <fcntl.h>
#include <netdb.h>
#include <pwd.h>
#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include <string.h>
#include <unistd.h>
#include <termios.h>
#include <time.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <readline/readline.h>
#include <readline/history.h>

/* global vars */
static int 	sockfd;
static int 	pipe_mode = 0;
static struct termios term;

/* function prototypes */
static void 	print_usage();
static void 	leave(int);
static void 	conn_lost();
static void  	init_connect(char *, int);
static int 	set_prompt(char *, char *);
static void 	main_loop(void);

#endif
